=== debian/changelog ===
libxc (5.1.7-1ubuntu1) jammy; urgency=medium

  * Set --max-parallel=4 to prevent OOM on riscv64 

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 05 Jan 2022 05:45:53 +0000

libxc (5.1.7-1) unstable; urgency=medium

  * New upstream point release.
  * Upload to unstable.
  * debian/patches/fix_static_initialisation.patch: Refreshed.
  * debian/libxc9.symbols: Updated.

 -- Michael Banck <mbanck@debian.org>  Sun, 26 Dec 2021 20:05:24 +0100

libxc (5.1.6-1) experimental; urgency=medium

  * New upstream release.
  * debian/copyright: Fix typo.
  * debian/patches/fix_static_initialisation.patch: Refreshed. 
  * debian/docs: Updated. 
  * debian/libxc9.symbols: Updated.

 -- Michael Banck <mbanck@debian.org>  Sat, 02 Oct 2021 10:24:24 +0200

libxc (5.0.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/upstream/metadata: Add current paper.
  * debian/control: Renamed libxc5 package to libxc9.
  * debian/libxc5.install: Renamed to ...
  * debian/libxc9.install: ... this.
  * debian/libxc5.symbols: Renamed to ...
  * debian/libxc9.symbols: ... this, and updated symbol versions.
  * debian/patches/fix_static_initialisation.patch: Updated.
  * debian/patches/disable_lda_c_pk09.patch: Removed, no longer needed.
  * debian/copyright: Overhauled, and switch to MPL documented.

 -- Michael Banck <mbanck@debian.org>  Mon, 04 Jan 2021 00:42:15 +0100

libxc (4.3.4-2) unstable; urgency=medium

  * debian/rules (override_dh_auto_configure): Add -DENABLE_XHOST=OFF in order
    to trun off -march=native compiler flag (Closes: #961383).

 -- Michael Banck <mbanck@debian.org>  Sun, 24 May 2020 11:37:23 +0200
