## libxc 5.2.2

=== debian/changelog ===
libxc (5.2.2-1ubuntu2) kinetic; urgency=medium

  * New version FTBFS on riscv64 even with --max-parallel=4, so try 3.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 17 May 2022 21:53:15 +0000

libxc (5.2.2-1ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Set --max-parallel=4 to prevent OOM on riscv64 

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 16 May 2022 12:20:18 -0700

libxc (5.2.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/libxc9.symbols: Updated.

 -- Michael Banck <mbanck@debian.org>  Sat, 12 Mar 2022 19:55:58 +0100
