## libxc 5.2.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,17 +28,24 @@
   message(FATAL_ERROR "ENABLE_PYTHON ON requires BUILD_SHARED_LIBS ON because only shared libraries can be dynamically loaded")
 endif()
 
-# GCC appears to be catching -xHost as "-x Host" which breaks the detection
+# Need to check things per compiler brand since they're different
 if(CMAKE_C_COMPILER_ID MATCHES Intel)
-  option_with_flags(ENABLE_XHOST "Enable processor-specific optimization" ON "-xHost" "-march=native" "/arch:AVX2")
-else()
-  option_with_flags(ENABLE_XHOST "Enable processor-specific optimization" ON  "-march=native" "-xHost" "/arch:AVX2")
+  option_with_flags(ENABLE_XHOST "Enable processor-specific optimization" ON "-xHost")
+elseif(CMAKE_C_COMPILER_ID MATCHES GNU)
+  option_with_flags(ENABLE_XHOST "Enable processor-specific optimization" ON  "-march=native")
+elseif(CMAKE_C_COMPILER_ID MATCHES Clang)
+  option_with_flags(ENABLE_XHOST "Enable processor-specific optimization" ON  "-march=native")
+elseif(CMAKE_C_COMPILER_ID MATCHES PGI)
+  option_with_flags(ENABLE_XHOST "Enable processor-specific optimization" ON  "-tp host")
+elseif(CMAKE_C_COMPILER_ID MATCHES MSVC)
+  option_with_flags(ENABLE_XHOST "Enable processor-specific optimization" ON  "/arch:AVX2")
 endif()
 
 option_with_print(DISABLE_VXC "Don't compile first derivative code" OFF)
 option_with_print(DISABLE_FXC "Don't compile second derivative code" OFF)
 option_with_print(DISABLE_KXC "Don't compile third derivative code" ON)
 option_with_print(DISABLE_LXC "Don't compile fourth derivative code" ON)
+option_with_print(DISABLE_FHC "Disable enforcement of Fermi hole curvature?" OFF)
 
 ######################### Process & Validate Options ###########################
 include(autocmake_safeguards)
@@ -84,6 +91,9 @@
 if(DISABLE_LXC)
   add_definitions (-DXC_DONT_COMPILE_LXC)
 endif(DISABLE_LXC)
+if(NOT DISABLE_FHC)
+  add_definitions (-DXC_ENFORCE_FERMI_HOLE_CURVATURE)
+endif(NOT DISABLE_FHC)
 
 # <<<  Build  >>>
 
@@ -424,6 +434,7 @@
   mgga_x_rppscan.c
   mgga_c_rppscan.c
   mgga_x_r4scan.c
+  mgga_x_ft98.c
   mix_func.c
   deorbitalize_func.c
   references.c
@@ -464,16 +475,3 @@
 if(ENABLE_FORTRAN)
   enable_language(Fortran)
   configure_file(cmake/libxcf03.pc.in libxcf03.pc @ONLY)
-  configure_file(cmake/libxcf90.pc.in libxcf90.pc @ONLY)
-  add_library(xcf03 ${raw_sources_list_f03})
-  target_link_libraries(xcf03 xc)
-  set_target_properties(xcf03 PROPERTIES POSITION_INDEPENDENT_CODE ${BUILD_FPIC}
-    SOVERSION ${${PROJECT_NAME}_SOMAJOR})
-  add_library(xcf90 ${raw_sources_list_f90})
-  target_link_libraries(xcf90 xc)
-  set_target_properties(xcf90 PROPERTIES POSITION_INDEPENDENT_CODE ${BUILD_FPIC}
-    SOVERSION ${${PROJECT_NAME}_SOMAJOR})
-endif()
-
-# run get_funcs.pl to generate headers for xc inclusion
-find_package(Perl REQUIRED)
