=== debian/changelog ===
libxc (5.2.3-3) unstable; urgency=medium

  * Team upload.
  * Perform source-only upload
  * add README.md to package (closes: #1035858)

 -- Henning Glawe <glaweh@debian.org>  Thu, 15 May 2025 21:04:46 +0200

libxc (5.2.3-2) unstable; urgency=medium

  * Team upload.
  * enable cmake support for fortran bindings (closes: #1084870)

 -- Henning Glawe <glaweh@debian.org>  Tue, 06 May 2025 15:46:46 +0200

libxc (5.2.3-1) unstable; urgency=medium

  * New upstream point release.

 -- Michael Banck <mbanck@debian.org>  Sun, 30 Oct 2022 17:20:01 +0100
