=== debian/rules ===
--- 
+++ 
@@ -14,17 +14,19 @@
 export CFLAGS = $(shell dpkg-buildflags --get CFLAGS) $(DEBUG)
 
 %:
-	dh $@ --max-parallel=4 --with autoreconf --buildsystem autoconf
+	dh $@ --parallel --with autoreconf --buildsystem autoconf
 
 override_dh_auto_clean:
 	dh_auto_clean
 	dh_auto_clean --buildsystem cmake
 	-rm -f testsuite/regression/lda_c/lda_c_pk09.*
+	-rm -f src/libxcf03.f90 src/libxcf90.f90
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-shared
 	dh_auto_configure --buildsystem cmake --	\
 		-DCMAKE_BUILD_TYPE=Release		\
+		-DENABLE_FORTRAN=ON			\
 		-DENABLE_XHOST=OFF
 
 override_dh_auto_build:
