## libxc 7.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,16 @@
 cmake_minimum_required(VERSION 3.1)
 set(CMAKE_C_STANDARD 99)
 list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)
+
+if(ENABLE_CUDA)
+  cmake_minimum_required(VERSION 3.8)
+  set(CMAKE_VERBOSE_MAKEFILE ON)
+  enable_language(CUDA)
+  set(CMAKE_CUDA_STANDARD 98)
+  if(POLICY CMP0104)
+    cmake_policy(SET CMP0104 OLD)
+  endif()
+endif()
 
 ################################### Options ####################################
 include(psi4OptionsTools)
@@ -20,27 +30,14 @@
 if((${BUILD_SHARED_LIBS}) AND NOT ${BUILD_FPIC})
   message(FATAL_ERROR "BUILD_SHARED_LIBS ON and BUILD_FPIC OFF are incompatible, as shared library requires position independent code")
 endif()
-option_with_default(NAMESPACE_INSTALL_INCLUDEDIR "Location within CMAKE_INSTALL_INCLUDEDIR to which headers are installed. Psi4 wants namespace (e.g., /libxc)" /)
+option_with_default(NAMESPACE_INSTALL_INCLUDEDIR "Location within CMAKE_INSTALL_INCLUDEDIR to which headers are installed (e.g., /libxc)" /)
 option_with_print(ENABLE_GENERIC "Enable mostly static linking in shared library" OFF)
 option_with_print(ENABLE_FORTRAN "Build Fortran 2003 interface" OFF)
 option_with_print(ENABLE_PYTHON "Install Python API interface" OFF)
 if(${ENABLE_PYTHON} AND NOT ${BUILD_SHARED_LIBS})
   message(FATAL_ERROR "ENABLE_PYTHON ON requires BUILD_SHARED_LIBS ON because only shared libraries can be dynamically loaded")
 endif()
-
-# Need to check things per compiler brand since they're different
-if(CMAKE_C_COMPILER_ID MATCHES Intel)
-  option_with_flags(ENABLE_XHOST "Enable processor-specific optimization" ON "-xHost")
-elseif(CMAKE_C_COMPILER_ID MATCHES GNU)
-  option_with_flags(ENABLE_XHOST "Enable processor-specific optimization" ON  "-march=native")
-elseif(CMAKE_C_COMPILER_ID MATCHES Clang)
-  option_with_flags(ENABLE_XHOST "Enable processor-specific optimization" ON  "-march=native")
-elseif(CMAKE_C_COMPILER_ID MATCHES PGI)
-  option_with_flags(ENABLE_XHOST "Enable processor-specific optimization" ON  "-tp host")
-elseif(CMAKE_C_COMPILER_ID MATCHES MSVC)
-  option_with_flags(ENABLE_XHOST "Enable processor-specific optimization" ON  "/arch:AVX2")
-endif()
-
+include(xhost)  # defines: option(ENABLE_XHOST "Enable processor-specific optimization" ON)
 option_with_print(DISABLE_VXC "Don't compile first derivative code" OFF)
 option_with_print(DISABLE_FXC "Don't compile second derivative code" OFF)
 option_with_print(DISABLE_KXC "Don't compile third derivative code" ON)
@@ -120,6 +117,11 @@
 
 # create dummy config.h
 configure_file(config.h.cmake.in config.h @ONLY)
+
+# special substitutions for pkgconfig files
+include(JoinPaths)
+join_paths(libdir_for_pc_file "\${exec_prefix}" "${CMAKE_INSTALL_LIBDIR}")
+join_paths(includedir_for_pc_file "\${prefix}" "${CMAKE_INSTALL_INCLUDEDIR}${NAMESPACE_INSTALL_INCLUDEDIR}")
 configure_file(cmake/libxc.pc.in libxc.pc @ONLY)
 
 # extract project soversion from source
@@ -167,6 +169,7 @@
   gga_c_pbe.c
   gga_c_pbe_vwn.c
   gga_c_pbeloc.c
+  gga_c_pbe_erf_gws.c
   gga_c_pw91.c
   gga_c_q2d.c
   gga_c_regtpss.c
@@ -222,7 +225,6 @@
   gga_x_g96.c
   gga_x_gg99.c
   gga_x_hcth_a.c
-  gga_x_herman.c
   gga_x_hjs.c
   gga_x_hjs_b88_v2.c
   gga_x_htbs.c
@@ -230,7 +232,6 @@
   gga_x_ityh_optx.c
   gga_x_ityh_pbe.c
   gga_x_kt.c
-  gga_x_lag.c
   gga_x_lb.c
   gga_x_lg93.c
   gga_x_lspbe.c
@@ -245,6 +246,7 @@
   gga_x_pbeint.c
   gga_x_pbepow.c
   gga_x_pbetrans.c
+  gga_x_pbe_erf_gws.c
   gga_x_pw86.c
   gga_x_pw91.c
   gga_x_q1d.c
@@ -273,6 +275,7 @@
   gga_k_lgap.c
   gga_k_lgap_ge.c
   gga_c_ccdf.c
+  gga_x_bkl.c
   hyb_gga_xc_b1wc.c
   hyb_gga_xc_b3lyp.c
   hyb_gga_xc_cam_b3lyp.c
@@ -300,6 +303,7 @@
   hyb_gga_xc_cam_o3lyp.c
   hyb_gga_x_cam_s12.c
   hyb_gga_xc_case21.c
+  hyb_mgga_xc_gas22.c
   integrate.c
   lda.c
   lda_c_1d_csc.c
@@ -326,6 +330,7 @@
   lda_c_wigner.c
   lda_c_gk72.c
   lda_c_w20.c
+  lda_c_pw_erf.c
   lda_k_tf.c
   lda_k_zlp.c
   lda_k_gds08_worker.c
@@ -343,6 +348,8 @@
   lda_xc_tih.c
   lda_x_sloc.c
   lda_x_yukawa.c
+  lda_c_epc17.c
+  lda_c_epc18.c
   mgga.c
   mgga_c_b88.c
   mgga_c_b94.c
@@ -363,6 +370,8 @@
   mgga_c_tpss.c
   mgga_c_tpssloc.c
   mgga_c_vsxc.c
+  mgga_c_cc.c
+  mgga_c_ccalda.c
   mgga_k_pc07.c
   mgga_k_csk.c
   mgga_k_csk_loc.c
@@ -435,6 +444,15 @@
   mgga_c_rppscan.c
   mgga_x_r4scan.c
   mgga_x_ft98.c
+  mgga_x_ktbm.c
+  mgga_x_mspbel.c
+  mgga_x_msrpbel.c
+  mgga_x_msb86bl.c
+  hyb_mgga_xc_br3p86.c
+  mgga_x_vcml.c
+  hyb_mgga_xc_r2scan.c
+  mgga_x_eel.c
+  mgga_x_lak.c
   mix_func.c
   deorbitalize_func.c
   references.c
@@ -447,11 +465,13 @@
 set(src_prefix "src/")
 string(REGEX REPLACE "([^;]+)" "${src_prefix}\\1" sources_list "${raw_sources_list}")
 
-set(raw_sources_list_f03
+
+if(ENABLE_CUDA)
+  set_source_files_properties(${sources_list} PROPERTIES LANGUAGE CUDA)
+endif()
+
+set(raw_sources_list_f90
   src/libxc_master.F90
-  )
-set(raw_sources_list_f90
-  src/libxc_master_f90.F90
   )
 
 # when headers namespaced, xc_version include in xc.h needs to be local, not
@@ -460,18 +480,15 @@
 string(REPLACE "<xc_version.h>" "\"xc_version.h\"" _quoted_src "${_src_contents}")
 file(WRITE ${PROJECT_BINARY_DIR}/${src_prefix}xc.h "${_quoted_src}")
 
+# provide basic installed rpath, so Fortran lib can find C lib
+if (APPLE)
+    set(base "@loader_path")
+else()
+    set(base "$ORIGIN")
+endif()
+file(RELATIVE_PATH relDir ${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_INSTALL_BINDIR}
+                          ${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_INSTALL_LIBDIR})
+set(CMAKE_INSTALL_RPATH ${base} ${base}/${relDir})
+
 # STATIC/SHARED on below governed by BUILD_SHARED_LIBS
 add_library(xc ${sources_list})
-target_link_libraries(xc INTERFACE ${STANDARD_MATH_LIBRARY})
-set_target_properties(xc PROPERTIES POSITION_INDEPENDENT_CODE ${BUILD_FPIC}
-  SOVERSION ${${PROJECT_NAME}_SOMAJOR})
-if(${BUILD_SHARED_LIBS})
-  target_link_libraries(xc PRIVATE ${LIBC_INTERJECT})
-  if(APPLE)
-    set_target_properties(xc PROPERTIES LINK_FLAGS "-undefined dynamic_lookup")
-  endif()
-endif()
-
-if(ENABLE_FORTRAN)
-  enable_language(Fortran)
-  configure_file(cmake/libxcf03.pc.in libxcf03.pc @ONLY)
