=== debian/changelog ===
libxc (7.0.0-1) experimental; urgency=medium

  [ Debichem Team ]
  * New upstream release.

  [ Michael Banck ]
  * debian/patches/fix_static_initialisation.patch: Refreshed.
  * debian/watch: Updated. 
  * debian/libxc-dev.install: Update cmake files installation directory.
  * debian/control: Renamed libxc9 package to libxc15.
  * debian/libxc9.install: Renamed to ...
  * debian/libxc15.install: ... this.
  * debian/libxc9.symbols: Renamed to ...
  * debian/libxc15.symbols: ... this, and updated symbol versions.

  [ Marc Chantreux ]
  * debian/control (Homepage): Updated.

 -- Michael Banck <mbanck@debian.org>  Sun, 01 Dec 2024 10:19:46 +0100
