=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Uploaders: Michael Banck <mbanck@debian.org>
 Build-Depends: cmake, debhelper (>> 9), dh-autoreconf, gfortran
 Standards-Version: 3.9.5
-Homepage: http://www.tddft.org/programs/octopus/wiki/index.php/Libxc
+Homepage: https://libxc.gitlab.io/
 Vcs-Browser: https://salsa.debian.org/debichem-team/libxc
 Vcs-Git: https://salsa.debian.org/debichem-team/libxc.git
 
-Package: libxc9
+Package: libxc15
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -32,7 +32,7 @@
 Package: libxc-dev
 Architecture: any
 Section: libdevel
-Depends: libxc9 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libxc15 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Library of Exchange-Correlation Functionals (development files)
  LibXC is a library of exchange-correlation (XC) functionals for
  density-functional theory (DFT). The aim is to provide a portable, well
